UIPackage
Menu

Framework

Change language

Boilerplate repo

Resizable

resizableui

Drag-to-resize panel layout — horizontal or vertical splits with persistent sizes. Use for IDE-style sidebars, split views, and any layout the user should be able to reshape.

Also available for React ->

Installation

$npx shadcn-vue@latest add https://uipkge.dev/r/vue/resizable.json
Named registry:npx shadcn-vue@latest add @uipkge/resizableInstalls to:app/components/ui/resizable/

Examples

Loading interactive previews…

Props

NameType / ValuesDefaultRequired
classHTMLAttributes['class']; withHandle?: booleanoptional

Files installed (4)

  • app/components/ui/resizable/ResizableHandle.vue1.7 kB
    <script setup lang="ts">
    import type { SplitterResizeHandleEmits, SplitterResizeHandleProps } from 'reka-ui'
    import type { HTMLAttributes } from 'vue'
    import { reactiveOmit } from '@vueuse/core'
    import { GripVertical } from 'lucide-vue-next'
    import { SplitterResizeHandle, useForwardPropsEmits } from 'reka-ui'
    import { cn } from '@/lib/utils'
    
    const props = defineProps<SplitterResizeHandleProps & { class?: HTMLAttributes['class']; withHandle?: boolean }>()
    const emits = defineEmits<SplitterResizeHandleEmits>()
    
    const delegatedProps = reactiveOmit(props, 'class', 'withHandle')
    const forwarded = useForwardPropsEmits(delegatedProps, emits)
    </script>
    
    <template>
      <SplitterResizeHandle
        data-uipkge
        data-slot="resizable-handle"
        v-bind="forwarded"
        :class="
          cn(
            'bg-border focus-visible:ring-ring relative flex w-px items-center justify-center after:absolute after:inset-y-0 after:left-1/2 after:w-1 after:-translate-x-1/2 focus-visible:ring-1 focus-visible:ring-offset-1 focus-visible:outline-hidden data-[orientation=vertical]:h-px data-[orientation=vertical]:w-full data-[orientation=vertical]:after:left-0 data-[orientation=vertical]:after:h-1 data-[orientation=vertical]:after:w-full data-[orientation=vertical]:after:translate-x-0 data-[orientation=vertical]:after:-translate-y-1/2 [&[data-orientation=vertical]>div]:rotate-90',
            props.class,
          )
        "
      >
        <template v-if="props.withHandle">
          <div class="bg-border z-10 flex h-4 w-3 items-center justify-center rounded-sm border">
            <slot>
              <GripVertical class="size-2.5" aria-hidden="true" />
            </slot>
          </div>
        </template>
      </SplitterResizeHandle>
    </template>
    
  • app/components/ui/resizable/ResizablePanel.vue0.6 kB
  • app/components/ui/resizable/ResizablePanelGroup.vue0.8 kB
  • app/components/ui/resizable/index.ts0.2 kB

Raw manifest:https://uipkge.dev/r/vue/resizable.json

UIPackage
Menu

Framework

Change language

Boilerplate repo

Resizable

resizableui

Drag-to-resize panel layout — horizontal or vertical splits with persistent sizes. Use for IDE-style sidebars, split views, and any layout the user should be able to reshape.

Also available for Vue ->

Installation

$npx shadcn@latest add https://uipkge.dev/r/react/resizable.json
Named registry:npx shadcn@latest add @uipkge-react/resizableInstalls to:components/ui/resizable/

Examples

Loading interactive previews…

Files installed (2)

  • components/ui/resizable/resizable.tsx2 kB
    'use client'
    
    import * as React from 'react'
    import { GripVertical } from 'lucide-react'
    // Named exports (the package exposes these directly, not under a namespace).
    import { PanelGroup, Panel, PanelResizeHandle } from 'react-resizable-panels'
    import { cn } from '@/lib/utils'
    
    function ResizablePanelGroup({ className, ...props }: React.ComponentProps<typeof PanelGroup>) {
      return (
        <PanelGroup
          data-uipkge=""
          data-slot="resizable-panel-group"
          className={cn('flex h-full w-full data-[panel-group-direction=vertical]:flex-col', className)}
          {...props}
        />
      )
    }
    
    function ResizablePanel({ ...props }: React.ComponentProps<typeof Panel>) {
      return <Panel data-uipkge="" data-slot="resizable-panel" {...props} />
    }
    
    function ResizableHandle({
      withHandle,
      className,
      children,
      ...props
    }: React.ComponentProps<typeof PanelResizeHandle> & {
      withHandle?: boolean
    }) {
      return (
        <PanelResizeHandle
          data-uipkge=""
          data-slot="resizable-handle"
          className={cn(
            'bg-border focus-visible:ring-ring relative flex w-px items-center justify-center after:absolute after:inset-y-0 after:left-1/2 after:w-1 after:-translate-x-1/2 focus-visible:ring-1 focus-visible:ring-offset-1 focus-visible:outline-hidden data-[panel-group-direction=vertical]:h-px data-[panel-group-direction=vertical]:w-full data-[panel-group-direction=vertical]:after:left-0 data-[panel-group-direction=vertical]:after:h-1 data-[panel-group-direction=vertical]:after:w-full data-[panel-group-direction=vertical]:after:translate-x-0 data-[panel-group-direction=vertical]:after:-translate-y-1/2 [&[data-panel-group-direction=vertical]>div]:rotate-90',
            className,
          )}
          {...props}
        >
          {withHandle && (
            <div className="bg-border z-10 flex h-4 w-3 items-center justify-center rounded-xs border">
              {children ?? <GripVertical className="size-2.5" aria-hidden="true" />}
            </div>
          )}
        </PanelResizeHandle>
      )
    }
    
    export { ResizablePanelGroup, ResizablePanel, ResizableHandle }
    
  • components/ui/resizable/index.ts0.1 kB

Raw manifest:https://uipkge.dev/r/react/resizable.json